« 平成30年度の税収見込みに占める宮内庁予算の割合について | トップページ | 自重筋トレで全身筋肉痛が絶好調 »

2018.11.06

nodistで最新npmをインストールできなかった

nodeのバージョンを 10.13.0 に上げた。最新のLTS。

nodist使っているのでGit Bashから、

$ nodist 10.13.0
10.13.0
Installing 10.13.0

Installation successful.

とやってOK。しかし、Power Shell でNodistが動かないのがよくわからない。

そして、npmも6.4.1に上げようとしたが失敗。

$ nodist npm 6.4.1
npm 6.4.1
Cannot read property 'trim' of null.
Sorry.

Node.js超入門[第2版]
Node.js超入門[第2版]
posted with amazlet at 18.11.06
掌田 津耶乃
秀和システム
売り上げランキング: 8,880


これ以降、npmが動かなくなってあせる。

$ npm version
internal/modules/cjs/loader.js:582
    throw err;
    ^

Error: Cannot find module 'C:\Program Files...........

エラーメッセージで調べてみると、nodistはnpmをGitHubのリポジトリででリリースされているバージョンからとってくるらしく、Tags ・ npm/npmを確認すると、最新は6.2.0-next.1というバージョンだった。仕方ないのでこれインストール。

$ nodist npm 6.2.0-next.1
npm 6.2.0-next.1

OKだった。nodistってちょっと引っかかりがあるね。たまにしか使わないし。

関連リンク

513ruzs3ljl

« 平成30年度の税収見込みに占める宮内庁予算の割合について | トップページ | 自重筋トレで全身筋肉痛が絶好調 »

プログラミング」カテゴリの記事

コメント

コメントを書く

(ウェブ上には掲載しません)

トラックバック


この記事へのトラックバック一覧です: nodistで最新npmをインストールできなかった:

« 平成30年度の税収見込みに占める宮内庁予算の割合について | トップページ | 自重筋トレで全身筋肉痛が絶好調 »

2019年5月
      1 2 3 4
5 6 7 8 9 10 11
12 13 14 15 16 17 18
19 20 21 22 23 24 25
26 27 28 29 30 31  
フォト

Google AdSense

銀の弾丸

無料ブログはココログ

他のアカウント